package net.black3r.bakalarka.bakalarka;
import javax.crypto.spec.IvParameterSpec;

public interface Crypter {
    public byte[] encryptToByteArray(byte[] input);
    public byte[] encryptToByteArray(String input);
    public String encryptToBase64(byte[] input);
    public String encryptToBase64(String input);

    public byte[] encryptToByteArray(byte[] input, IvParameterSpec iv);
    public byte[] encryptToByteArray(String input, IvParameterSpec iv);
    public String encryptToBase64(byte[] input, IvParameterSpec iv);
    public String encryptToBase64(String input, IvParameterSpec iv);

    public byte[] decryptFromBase64(String input);
    public byte[] decryptFromByteArray(byte[] input, IvParameterSpec iv);
    public String decryptFromBase64ToString(String input);
    public String decryptFromByteArrayToString(byte[] input, IvParameterSpec iv);

    public IvParameterSpec generateIv();
}

