#ifndef ANDROIDFUSE_ALC_CONFIG_H
#define ANDROIDFUSE_ALC_CONFIG_H

#include <string>
#include <map>

std::string alc_uuid();
std::map<std::string, std::string> get_keystore();
std::string get_key(std::string uuid);
bool write_keystore(std::map<std::string, std::string> keystore);
bool add_keypair(std::string uuid, std::string key);
bool has_key_for(std::string uuid);

#endif //ANDROIDFUSE_ALC_CONFIG_H
