#ifndef ANDROIDFUSE_PROTO_CONSTANTS_H
#define ANDROIDFUSE_PROTO_CONSTANTS_H

extern const char* VERSION_COMMAND;
extern const char* IDENTIFY_COMMAND;
extern const char* PAIR_COMMAND;
extern const char* CANENCRYPT_COMMAND;
extern const char* ENCRYPT_COMMAND;
extern const char* CRYPTHELLO_COMMAND;
extern const char* EXTENSIONS_COMMAND;

extern const char* PREFIX_COMMAND;
extern const char* GETATTR_COMMAND;
extern const char* STATFS_COMMAND;
extern const char* READDIR_COMMAND;
extern const char* OPEN_COMMAND;
extern const char* READ_COMMAND;
extern const char* WRITE_COMMAND;
extern const char* CLOSE_COMMAND;
extern const char* CREATE_COMMAND;
extern const char* MKDIR_COMMAND;
extern const char* TRUNCATE_COMMAND;
extern const char* UNLINK_COMMAND;
extern const char* RMDIR_COMMAND;
extern const char* RENAME_COMMAND;
extern const char* ACCESS_COMMAND;
extern const char* UTIMENS_COMMAND;
extern const char* FALLOCATE_COMMAND;

extern const char* STARTSENSOR_COMMAND;
extern const char* GETROTATION_COMMAND;
extern const char* QUITSENSOR_COMMAND;

extern const char* DEFAULT_ENCRYPT_ALGORITHM;
extern const char* RESPONSE_OK;
extern const char* RESPONSE_YES;
#define MAX_COMMAND_LENGTH 262144
#define WORD_SEPARATOR " "
#define LINE_SEPARATOR "\n"

#endif //ANDROIDFUSE_PROTO_CONSTANTS_H
