package net.black3r.bakalarka.bakalarka;

import android.app.ListActivity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.ListView;

import java.util.ArrayList;

public class PairedDevicesViewActivity extends ListActivity {

    private ListView mainListView;
    private Configuration configuration;
    private ArrayList<String> pairedDevicesList;
    private ArrayAdapter<String> adapter;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_paired_devices_view);
        configuration = new Configuration(this.getApplicationContext());
        mainListView = this.getListView();
        String[] data = this.configuration.getSecretList();
        pairedDevicesList = new ArrayList<String>();
        for (String pairedDeviceUUID : data) pairedDevicesList.add(pairedDeviceUUID);
        adapter = new ArrayAdapter<String>(this, android.R.layout.simple_list_item_1, pairedDevicesList);
        setListAdapter(adapter);
    }

    @Override
    public void onListItemClick(ListView l, View v, int position, long id) {
        String key = (String) this.getListView().getAdapter().getItem(position);
        configuration.removeSecretFor(key);
        pairedDevicesList.remove(position);
        adapter.notifyDataSetChanged();
    }
}
