#include <stdio.h>
#include <stdlib.h>
#include <string>
#include "uuid.h"
#include "alc_log.h"

int generate4() {
    return (rand() & 0xffff);
}

int generateMiddle() {
    return ((rand() & 0x0fff) | 0x4000);
}

int generateThird() {
    return ((rand() & 0x0fff) | 0x8000) + 0x1000 * (rand() % 4);
}

char *generate_uuid_cstring() {
    char* strUuid = new char[48];
    srand(time(NULL));

    sprintf(strUuid, "%8.8x-%4.4x-%4.4x-%4.4x-%8.8x%4.4x",
            rand(),
            generate4(),
            generateMiddle(),
            generateThird(),
            rand(),
            generate4()
    );
    return strUuid;
}

std::string generate_uuid_string() {
    char* strUuid = generate_uuid_cstring();
//    LOGI("generated uuid: %s\n", strUuid);
    std::string result(strUuid);
    delete[] strUuid;
    return result;
}